Variable: NativeSupervisorAttachSchema
Makaio Framework / contracts/native-session-supervisor / NativeSupervisorAttachSchema
Variable: NativeSupervisorAttachSchema
Section titled “Variable: NativeSupervisorAttachSchema”
constNativeSupervisorAttachSchema:object
Defined in: ../../../packages/contracts/src/native-session-supervisor/schemas.ts:108
Request and response schemas for native-session-supervisor.attach.
Requests attachment to an already-supervised runtime, identified by one of the three available locators.
Subject: native-session-supervisor.attach
Type: Request (RPC)
Type Declaration
Section titled “Type Declaration”request
Section titled “request”request:
ZodUnion<readonly [ZodObject<{supervisorSessionId:ZodString; },$strict>,ZodObject<{sessionId:ZodString; },$strict>,ZodObject<{adapterSessionId:ZodString; },$strict>]>
response
Section titled “response”response:
ZodObject<{pid:ZodOptional<ZodNumber>;success:ZodBoolean;supervisorSessionId:ZodOptional<ZodString>;terminalAttachment:ZodOptional<ZodObject<{canAttach:ZodBoolean; },$strip>>; },$strip>